Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451317 - deadlock when rpc_malloc tries to flush NFS pages
Summary: deadlock when rpc_malloc tries to flush NFS pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jeff Layton
QA Contact: Martin Jenner
URL:
Whiteboard:
: 454266 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 19:44 UTC by Jeff Layton
Modified: 2012-01-04 04:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:14:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch -- don't allow rpc_malloc to block (deleted)
2008-07-07 11:24 UTC, Jeff Layton
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Comment 1 Jeff Layton 2008-06-13 19:45:38 UTC
Cloning bug for RHEL5. I think it's likely to be vulnerable to the same problem.
Lowering sev/pri here though since no one has hit this on RHEL5 that I'm aware of...


Comment 2 RHEL Product and Program Management 2008-06-19 14:24:21 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Jeff Layton 2008-07-07 11:01:02 UTC
*** Bug 454266 has been marked as a duplicate of this bug. ***

Comment 5 Jeff Layton 2008-07-07 11:24:21 UTC
Created attachment 311138 [details]
proposed patch -- don't allow rpc_malloc to block

proposed patch -- untested as of yet

Comment 6 Jeff Layton 2008-07-09 13:24:22 UTC
Tested and seems to work OK

Comment 7 Jeff Layton 2008-07-09 13:24:58 UTC
Patch posted to RHKL:

Subject: [RHEL5.3 PATCH] BZ#451317: sunrpc: prevent deadlock by not allowing
rpc_malloc to sleep

Comment 8 Don Zickus 2008-07-18 20:07:48 UTC
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 errata-xmlrpc 2009-01-20 20:14:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.